[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#452255: marked as done (kdelibs5: needlessly depends on hal | kfreebsd-gnu | hurd)

Your message dated Sun, 09 Dec 2007 16:32:09 +0000
with message-id <E1J1P4b-0001de-9a@ries.debian.org>
and subject line Bug#452255: fixed in kde4libs 4:3.97.0-1
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

--- Begin Message ---
Package: kdelibs5
Version: 4:3.96.0-1
Severity: normal


I get:

12:51:19 | morn@eri:~ -> apt install -t experimental kdelibs5 hal-
  kdelibs5: Depends: hal but it is not going to be installed or
                     kfreebsd-gnu but it is not installable or
                     hurd but it is not installable

Which is somewhat annoying, since now all KDE4 apps depend on hal on
linux. This is, according to Solid author unnecessary, so I would ask
to turn this dependency into a recommends, which is more
appropriate. The kdelibs5 works without hal, although it is probably
an uncommon scenario to be encountered without hal installed =>


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-rc6-1-morn (PREEMPT)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

--- End Message ---
--- Begin Message ---
Source: kde4libs
Source-Version: 4:3.97.0-1

We believe that the bug you reported is fixed in the latest version of
kde4libs, which is due to be installed in the Debian FTP archive:

  to pool/main/k/kde4libs/kde4libs_3.97.0-1.diff.gz
  to pool/main/k/kde4libs/kde4libs_3.97.0-1.dsc
  to pool/main/k/kde4libs/kde4libs_3.97.0.orig.tar.gz
  to pool/main/k/kde4libs/kdelibs-bin_3.97.0-1_i386.deb
  to pool/main/k/kde4libs/kdelibs-dbg_3.97.0-1_i386.deb
  to pool/main/k/kde4libs/kdelibs5-data_3.97.0-1_all.deb
  to pool/main/k/kde4libs/kdelibs5-dev_3.97.0-1_i386.deb
  to pool/main/k/kde4libs/kdelibs5-doc_3.97.0-1_all.deb
  to pool/main/k/kde4libs/kdelibs5_3.97.0-1_i386.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452255@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated kde4libs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sun, 09 Dec 2007 15:47:28 +0100
Source: kde4libs
Binary: kdelibs-bin kdelibs5-dev kdelibs5-doc kdelibs-dbg kdelibs5 kdelibs5-data
Architecture: source all i386
Version: 4:3.97.0-1
Distribution: experimental
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
 kdelibs-bin - binaries for all the KDE 4 core applications
 kdelibs-dbg - debugging symbols for kdelibs
 kdelibs5   - core libraries for all KDE 4 applications
 kdelibs5-data - core shared data for all KDE 4 applications
 kdelibs5-dev - development files for the KDE 4 core libraries
 kdelibs5-doc - developer documentation for the KDE 4 core libraries
Closes: 452255
 kde4libs (4:3.97.0-1) experimental; urgency=low
   * New upstream release.
   * Update *.install files.
   * Update Standards-Version to 3.7.2.
   * Remove README.Debian, packages are stable now.
   * Update package descriptions, remove referencies to beta status.
   * Add export LDFLAGS+="-Wl,--as-needed" in rules to make dpkg-shlibdeps
   * Do not build depend on libasound2-dev and libkeyutils-dev in the archs
     they do not exist.
   * Move Depends on hal | kfreebsd-gnu | hurd, pmount | kfreebsd-gnu | hurd,
     to Recommends. (Closes: #452255)
   * Add lintian override for extra-license-file warnings in kdelibs5-data.
 4a7335c283997eea0b1b07a0b31f13f1 1356 libs optional kde4libs_3.97.0-1.dsc
 15b3748f7d4839ea062368b702916371 11065012 libs optional kde4libs_3.97.0.orig.tar.gz
 ab02dc560ce22fb04ab5f8993398759e 66812 libs optional kde4libs_3.97.0-1.diff.gz
 8b474dac51c069af42fceeab4aef309d 3050096 libs optional kdelibs5-data_3.97.0-1_all.deb
 110a786077e4a5dd817d1c7bbe082a16 60406 doc optional kdelibs5-doc_3.97.0-1_all.deb
 11aeee365714c53525755256c8f021d4 8070070 libs optional kdelibs5_3.97.0-1_i386.deb
 6185cd43a90d23e3905099c036688f36 1418452 libdevel optional kdelibs5-dev_3.97.0-1_i386.deb
 4c94a4772fd14022ef5955e6e1bbb6f1 371234 libs optional kdelibs-bin_3.97.0-1_i386.deb
 05a90ee37ade8892b492c2eac33c8258 75609676 libdevel extra kdelibs-dbg_3.97.0-1_i386.deb

Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero


--- End Message ---

Reply to: